Package net.sf.saxon.expr.sort

## Class NumericComparer11

- java.lang.Object
- - net.sf.saxon.expr.sort.NumericComparer
  - - net.sf.saxon.expr.sort.NumericComparer11

- All Implemented Interfaces:
    `AtomicComparer`

      public class NumericComparer11
      extends NumericComparer

  A Comparer used for comparing sort keys when data-type="number". The items to be compared are converted to numbers, and the numbers are then compared directly. NaN values compare equal to each other, and equal to an empty sequence, but less than anything else.

  This class is used in XSLT only, so there is no need to handle XQuery's "empty least" vs "empty greatest" options.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.sort.NumericComparer

      `converter`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `NumericComparer11()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NumericComparer` | `getInstance()` |
    `java.lang.String` | `save()` | Create a string representation of this AtomicComparer that can be saved in a compiled package and used to reconstitute the AtomicComparer when the package is reloaded

    - ### Methods inherited from class net.sf.saxon.expr.sort.NumericComparer

      `compareAtomicValues, comparesEqual, getCollator, provideContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericComparer11

          protected NumericComparer11()

  - ### Method Detail

    - #### getInstance

          public static NumericComparer getInstance()

    - #### save

          public java.lang.String save()

      Create a string representation of this AtomicComparer that can be saved in a compiled package and used to reconstitute the AtomicComparer when the package is reloaded
      Specified by:
        `save` in interface `AtomicComparer`
      Overrides:
        `save` in class `NumericComparer`
      Returns:
        a string representation of the AtomicComparer